--- src/system.c.orig	Tue Aug 27 12:53:39 2002
+++ src/system.c	Tue Aug 27 12:53:38 2002
@@ -344,7 +344,7 @@
 #if (defined(MACH) || defined(SVR2) || defined(_BSD)) && !defined(NEXT) \
 && !defined(AUX) && !defined(__MACHTEN__) || (defined(sun) && defined(i386))
 int remove(name)
-char *name;
+const char *name;
 {
 	return unlink(name);
 }
--- src/mpilib.h.orig	Tue Aug 29 05:03:30 1995
+++ src/mpilib.h	Fri Oct  6 09:08:35 2000
@@ -321,7 +321,15 @@
 #endif /* mp_smul */
 
 #define MIN_KEY_BITS  384
+#ifdef USA
 #define MAX_KEY_BITS 2048
+#else  /* USA */
+/*
+ * MAX_KEY_BITS changed from 2048 to 4096
+ * by Rich Wales <richw@webcom.com>, 06oct2000
+ */
+#define MAX_KEY_BITS 4096
+#endif /* USA */
 
 /*	MAX_BIT_PRECISION is upper limit that assembly primitives can handle.
 	It must be less than 32704 bits, or 4088 bytes.  It should be an
--- src/randpool.h.orig	Fri Jul 15 05:59:32 1994
+++ src/randpool.h	Fri Oct  6 09:08:38 2000
@@ -1,7 +1,15 @@
 #include "usuals.h"
 
 /* Set this to whatever you need (must be > 512) */
+#ifdef USA
 #define RANDPOOLBITS 3072
+#else  /* USA */
+/*
+ * RANDPOOLBITS changed from 3072 to 10240
+ * by Rich Wales <richw@webcom.com>, 06oct2000
+ */
+#define RANDPOOLBITS 10240
+#endif /* USA */
 
 void randPoolStir(void);
 void randPoolAddBytes(byte const *buf, unsigned len);
--- src/pgp.c.orig	Wed Apr 24 10:34:19 1996
+++ src/pgp.c	Fri Oct  6 09:09:59 2000
@@ -101,6 +101,7 @@
    Version 2.6.2i - 7 May 95
    Version 2.6.3(i) - 18 Jan 96
    Version 2.6.3(i)a - 4 Mar 96
+   Version 2.6.3(i)a+4K - 6 Oct 00 - richw@webcom.com
 
  */
 
@@ -193,7 +194,7 @@
         " Amiga 68000 version by Rob Knop <rknop@mop.caltech.edu>";
 #  endif
 #else
-static const char __DOSVer[] = "$VER: PGP 2.6.3ia (04.03.96)"
+static const char __DOSVer[] = "$VER: PGP 2.6.3ia+4K (06.10.00)"
 #  ifdef _M68020
         " Amiga 68020 version by Peter Simons <simons@peti.rhein.de>";
 #  else
@@ -205,10 +206,11 @@
 /* Global filenames and system-wide file extensions... */
 #ifdef USA
 char rel_version[] = _LANG("2.6.3a");	/* release version */
-#else
-char rel_version[] = _LANG("2.6.3ia");	/* release version */
-#endif
 char rel_date[] = "1996-03-04";		/* release date */
+#else  /* USA */
+char rel_version[] = _LANG("2.6.3ia+4K");	/* release version */
+char rel_date[] = "2000-10-06";		/* release date */
+#endif /* USA */
 char PGP_EXTENSION[] = ".pgp";
 char ASC_EXTENSION[] = ".asc";
 char SIG_EXTENSION[] = ".sig";
@@ -390,13 +392,15 @@
 #ifdef USA
     fputs(LANG(signon_legalese), stderr);
 #endif
-    fputs(
 #ifdef USA
+    fputs(
 LANG("Export of this software may be restricted by the U.S. government.\n"),
-#else
-LANG("International version - not for use in the USA. Does not use RSAREF.\n"),
-#endif
+    /*
+     * Non-RSAREF warning removed (now that RSA patent has expired)
+     * by Rich Wales <richw@webcom.com>, 06oct2000
+     */
 	  stderr);
+#endif
 
     get_timestamp((byte *) & tstamp);	/* timestamp points to tstamp */
     fprintf(pgpout, LANG("Current time: %s\n"), ctdate(&tstamp));
